import { z } from 'zod';
import { IJsonData } from '../../types/common-types';
declare const RewardSchema: z.ZodObject<{
    reward_url: z.ZodOptional<z.ZodAny>;
    rewards: z.ZodOptional<z.ZodArray<z.ZodAny, "many">>;
    date: z.ZodOptional<z.ZodOptional<z.ZodString>>;
    is_active: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    reward_url?: any;
    rewards?: any[] | undefined;
    date?: string | undefined;
    is_active?: boolean | undefined;
}, {
    reward_url?: any;
    rewards?: any[] | undefined;
    date?: string | undefined;
    is_active?: boolean | undefined;
}>;
export type ISubmittedDataType = z.infer<typeof RewardSchema>;
export declare const DATA: IJsonData<ISubmittedDataType>;
export {};
